#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QTableView>
#include <QSqlQueryModel>
#include <QComboBox>
#include <QDateEdit>
#include <QDate>
#include <QGroupBox>
#include <QLineEdit>
#include <QCheckBox>

class Widget : public QWidget
{
    Q_OBJECT
public:
    Widget(QWidget *parent = 0);
    ~Widget();
private:
    QTableView *m_ptableKeyword,*m_ptableGroup,*m_ptableCrawling;
    QSqlQueryModel *m_pmodelKeyword,*m_pmodelGroup,*m_pmodelCrawling;
    QDateEdit *m_pdeStart,*m_pdeEnd, *m_pdeCopyStart, *m_pdeCopyEnd;
    QComboBox *m_pcbRealTime;
    QComboBox *m_pcbPlatform;
    QComboBox *m_pcbState;
    QComboBox *m_pcbSplit;
    QLineEdit *m_pleKeyword,*m_pleAuthorship,*m_pleGroup,*m_pleCopyFrom,*m_pleCopyTo, *m_pleSplit;
    QCheckBox *m_pchbDate;
private:
    QGroupBox *setKeywordWidgets();
    QGroupBox *setGroupWidgets();
    QGroupBox *setCrawlingWidgets();
    void SaveCsv(QString);
    void UpdateCrawling();
private slots:
    void on_keyword_currentRowChanged(QModelIndex);    
    void on_keyword_button_insert();
    void on_keyword_button_delete();
    void on_keyword_button_modify();    

    void on_group_currentRowChanged(QModelIndex);
    void on_group_button_insert();
    void on_group_button_delete();
    void on_group_button_clear();
    void on_group_button_modify();
    void on_group_button_import();
    void on_group_button_export();
    void on_group_button_copy_start();
    void on_group_button_copy_clear();
    void on_group_button_copy_from();
    void on_group_button_copy_to();
    void on_group_button_refresh();

    void on_crawling_button_insert();
    void on_crawling_button_delete();
    void on_crawling_button_modify();
    void on_crawling_button_refresh();
};

#endif // WIDGET_H
